# local – execute on controller

- Synopsis
- Notes
- Status

## Synopsis

- This connection plugin allows ansible to execute tasks on the Ansible ‘controller’ instead of on a remote host.

## Notes

Note

- The remote user is ignored, the user with which the ansible CLI was executed is used instead.

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]
- This connection is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.